{% extends "base.html" %}
{% load static %}
{% block styles %}
<link rel="stylesheet" type="text/css" href="{% static 'css/style.css' %}">
{% endblock %}
{% block content %}
<div>
    <h1 style="text-align: center;">Discussions</h1>
    <div class="row">
    {% for msg in messages %}
        <div class="message-box">
            <div class="col-md-12" style="margin-top: 1vh;">
                <text>{{ msg.name }}, {{ msg.email }}</text>
                <article>Subject: {{ msg.subject }}</article>
                <article>{{ msg.messages }}</article>
            </div>
            <div style="text-align: right; margin-bottom:2vh; margin-right: 2vw;">
                <form action="delete" method="POST">
                    {% csrf_token %}
                    <input type="hidden" value="{{ msg.id }}" name="id" />
                    <input class="button-warning delete" type="submit" value="Delete"/>
                </form>
            </div>
        </div>
    {% endfor %} 
    </div>
    <div class="text-center">     
        <a class="btn btn-primary w-20" href="{% url 'about' %}" role="button">Back to About Us</a>  
    </div> 
</div>
{% endblock %}